/*
* Carlos O. Rios (gth700w)
* Collaboration Statement: I worked on the homework assignment alone, using only course materials.
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Random;

/*
* Summary: This class prompts the user to enter an integer value for the number of paint drops.
The class then prompts the user to choose a background color with the ColorChooser GUI. Then in a 350^2 area
canvas, the drops are painted on, randomly and in different colors from PaintDrop.java.
*
* @author Carlos O. Rios (gth700w)
* @version 1.0
*/
  
public class PaintDripperPanel extends JPanel {
   

   public Integer count;
   public Random rand;
   public Color back;
	public int width, height;
	  
	public PaintDripperPanel(){
	
		String s = JOptionPane.showInputDialog("Please enter the number of paint drops you want:");
      count = Integer.parseInt(s);
		
      //This is a conditional which will make any negative numbers entered equal to "1"
      if (count<0){
            count=1;}
				
	   //Calling up the color chooser GUI
		back = JColorChooser.showDialog(this, "Please pick a background Color", Color.WHITE);
      super.setBackground(back);
		
		//Creating the dimension of the frame.
	   setPreferredSize(new Dimension(350,350));
	}
	
	//@param Graphics page is where the shapes will be drawn on
	//@return the drops will be placed on the Graphics page
	public void paintComponent (Graphics page){
	super.paintComponent(page);
	
		//Painting on the canvas, using the coordinates and colors that were randomly made in PaintDrop.java
		for (int i=0;i<=count;i++){
				rand=new Random();
           int x=rand.nextInt(getWidth());
       	  int y=rand.nextInt(getHeight());          
           PaintDrop pd=new PaintDrop(x,y);
			  pd.draw(page);	                    
         }
	} 
	 
	 
}
