/*
* Carlos O. Rios (gth700w)
* Collaboration Statement: I worked on the homework assignment alone, using only course materials.
*/

import javax.swing.*;
import java.awt.*;
import java.util.Random;

/*
* Summary: This class makes the drops in random sizes and colors. It also adds little 8 by 8 pixel splatters with each drop made.
*
* @author Carlos O. Rios (gth700w)
* @version 1.0
*/

class PaintDrop
{
   //Making the drop coordinate variables
	public int x1,y1;
	private int count;
	
	//@param x is the x coordinate for each drop
	//@param y is the y coordinate for each drop
	//@return is the randomized x, y coordinate(s) for each random drop
	public PaintDrop(int x,int y)
	{
 	x1=x;
 	y1=y;
	}
	
	//@param Graphics page is where the shapes will be drawn on
	//@return the paint drops in different colors and set in different coordinates on the canvas
	public void draw(Graphics page)
	{
      //Making a new random to create random radius and color values
 		Random rand = new Random();
		
		//Width will be "r"
		//Height is "r2" and is used to make the drops not round
  		int r = rand.nextInt(100);
		int r2 = rand.nextInt(30)-15;
		
		//Making the RGB values random, using all 255 possible values, therefore 225^3 possible colors
		int redValue = rand.nextInt(256);
		int greenValue = rand.nextInt(256);
		int blueValue = rand.nextInt(256);
		
		//Making a new color for the drop
  		Color c = new Color(redValue, greenValue, blueValue);
 	 	page.setColor(c);
		
		//Making the drop on the canvas
 		page.fillOval(x1,y1,r,r+r2);
		
		//Adding an 8 by 8 pixel spot of the same color
	   page.fillOval(x1,y1,8,8);
    }
          
}



